<?php
  //
  // Copyright Dipl.-Ing. Uwe Klatt 2008-2013
  //
  include 'lang.inc';
  include 'helper.inc';
  $ini = parse_ini_file("setup/settings.inc",FALSE);

  // Output the headers to download the file
  header("Content-type: text/comma-separated-values");
  header("Content-Disposition: attachment; filename=live.csv");
  header("Pragma: no-cache");
  header("Expires: 0");

  echo "Uhrzeit";
  for($w=0; $w<$nwr; $w++) // Alle WR + Zhler
  {
    if($w<$nwr && strlen($ini['wr'.($w+1).'_sn']) < 3)
      continue;
    echo "\t".$_['WR'][$l].($w+1)."(Wh)\tPac(W)\tPdc1(W)\tUdc1(V)\tIdc1(mA)\tPdc2(W)\tUdc2(V)\tIdc2(mA)\tPdc3(W)\tUdc3(V)\tIdc3(mA)";
  }
  echo "\tBezug(Wh)\tLieferung(Wh)\tBezug/Lieferung(W)";
  echo "\n\r";

  for($w=0; $w<=$nwr; $w++) // Alle WR + Zhler
  {
    if($w<$nwr && strlen($ini['wr'.($w+1).'_sn']) < 3)
      continue;

    if($w<$nwr) // WR
    {
      $ertrag[$w] = $ini['pv_mul'] * floatval(logger("GETPAR;".$w.";0;E-Total"));
      $receive = logger("GETPAR;".$w.";0;Pac;PPV;Upv-Ist;Ipv");
      $aktuell = explode(";",$receive);
      $pac[$w]  = $aktuell[0];
      $pdc1[$w] = $aktuell[1];
      $udc1[$w] = $aktuell[2];
      $idc1[$w] = $aktuell[3];
      $receive = logger("GETPAR;".$w.";1;PPV;Upv-Ist;Ipv");
      $aktuell = explode(";",$receive);
      $pdc2[$w] = $aktuell[0];
      $udc2[$w] = $aktuell[1];
      $idc2[$w] = $aktuell[2];
      $receive = logger("GETPAR;".$w.";2;PPV;Upv-Ist;Ipv");
      $aktuell = explode(";",$receive);
      $pdc3[$w] = $aktuell[0];
      $udc3[$w] = $aktuell[1];
      $idc3[$w] = $aktuell[2];
    }
    else // Zhler
    {
      $receive = logger("GETPAR;".$nwr.";0;Eplus;Eminus;Pges");
      $aktuell = explode(";",$receive);
      $ertragp = $aktuell[0];
      $ertragm = $aktuell[1];
      $p1      = $aktuell[2];
      $p2   = logger("GETPAR;".$nwr.";1;Pges");
      $p3   = logger("GETPAR;".$nwr.";2;Pges");
      $pd0 = $p1 + $p2 + $p3;
    }
  }

  // Ausgabe der Werte
  echo date("H:i:s");
  for($w=0; $w<=$nwr; $w++)
  {
    if($w<$nwr && strlen($ini['wr'.($w+1).'_sn']) < 3)
      continue;
    if($w<$nwr) // WR
    {
      echo sprintf("\t%d\t%d",$ertrag[$w],$pac[$w]);
      echo sprintf("\t%d\t%d\t%d",$pdc1[$w],$udc1[$w],$idc1[$w]);
      echo sprintf("\t%d\t%d\t%d",$pdc2[$w],$udc2[$w],$idc2[$w]);
      echo sprintf("\t%d\t%d\t%d",$pdc3[$w],$udc3[$w],$idc3[$w]);
    }
    else // Zhler
    {
      echo sprintf("\t%d\t%d\t%d",$ertragp,$ertragm,$pd0);
    }
  }
?>

